package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Rejected_childRepository;
import com.realnet.vpspack.Entity.Rejected_child
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class Rejected_childService {
@Autowired
private Rejected_childRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Rejected_child Savedata(Rejected_child data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Rejected_child save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Rejected_child> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Rejected_child> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Rejected_child> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Rejected_child getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Rejected_child update(Rejected_child data,Integer id) {
	Rejected_child old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setSupplier_acknowledged (data.isSupplier_acknowledged());

old.setStatus(data.getStatus());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setEmail_id(data.getEmail_id());

old.setPhone(data.getPhone());

old.setSupplier(data.getSupplier());

old.setNationality(data.getNationality());

old.setNote(data.getNote());

old.setVisa(data.getVisa());

old.setAction(data.getAction());

final Rejected_child test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
